#deck {
    display:none;  
}

#deck.active {
    display:block;
    width: 320px;
    height: 460px;
    margin: auto;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index:3;
}

#deckbg {
    display:none;
}

#deckbg.active {
    display:block;
    height:100vh;
    width:100%;
    background:#000;
    opacity:0.6;
    position:fixed;
    top:0;
    left:0;
    z-index:2;
}

.card {
    position: absolute;
    inset: 0;
    background: #fff;
    border-radius: 16px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .15);
    display: flex;
    align-items: center;
    justify-content: center;
    touch-action: none;
    z-index:2;
    /* ドラッグ挙動のため */
}

.card:before {
    content:"";
    display:block;
    background:linear-gradient(rgba(0,0,0,0) 60%,rgba(0,0,0,0.9));
    position:absolute;
    bottom:0;
    left:0;
    height: 100%;
    width: 100%;
    z-index: 1;
    border-radius: 0 0 16px 16px;
}

/* 一番上（最後の要素 = data-id=103）はまっすぐ */
#deck .card:nth-last-child(1) {
  transform: rotate(0deg);
  z-index: 3;
}

/* 2番目はちょっと左に傾ける */
#deck .card:nth-last-child(2) {
  transform: rotate(-3deg) translateY(-5px) translateX(-12px) scale(0.95);
  z-index: 2;
}

/* 3番目はちょっと右に傾ける */
#deck .card:nth-last-child(3) {
  transform: rotate(-4deg) translateY(-1px) translateX(-30px) scale(0.90);
  z-index: 1;
}

#deck .card:nth-last-child(2) .labels, #deck .card:nth-last-child(3) .labels{
    display:none;
}

.card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
}
.cardboxtext {
    position: absolute;
    bottom: 10px;
    left: 20px;
    z-index: 2;
    font-size: 1.8rem;
    color: #FFF;
    text-align: left;
}
.labels {
    position: absolute;
    inset: 0;
    pointer-events: none
}
.like, .keep {
    position: absolute;
    top: 50%;
}
.like {
    left: -155px;
}
.keep {
    right: -155px;
}
.like img, .keep img {
    border-radius:0;
}

.labels .icon-heart{
    color:#ff45cb;
    margin-right:5px;
}

.labels .icon-bookmark {
    color:#00CED1;
    margin-right:5px;
}

/*プロフィール*/
.modal_prof {
    display:none;
    position: fixed;
    width: 1000px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.modal_prof.active {
    display:block;    
}

.modal_prof .c-reprofile_main {
    margin-bottom: 20px;
}

.modal_prof .c-reprofile_main_left_img, .modal_prof .c-reprofile_main_left {
    width: 200px;
}

.modal_prof .c-reprofile_main_right {
    width: calc(100% - 200px);
}

.modal_prof .c-reprofile_sub {
    margin-bottom: 0px;
}

.modal_prof_del {
    position: absolute;
    top: 5px;
    right: 8px;
    color: black;
    cursor: grab;
}

/*いいねボックス表示*/
.modal_iine.active {
    display:block;
}

.modal_iine {
    display: none;
    position: fixed;
    padding:30px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
    background: #FFF;
    border-radius:16px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .15);
    width:320px;
    height: 460px;
}

.modal_iine_del{
    position: absolute;
    top: 5px;
    right: 8px;
    color: black;
    cursor: grab;
}

.modal_iine_box {
    position:relative;
    width:200px;
    height:130px;
    margin:0 auto 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal_iine_box .icon-heart {
    position:absolute;
    left:10px;
    width:50px;
    height:50px;
    border-radius:100vh;
    color:#FFF;
    display: flex;
    justify-content: center;
    align-items: center;
    margin:0 auto 20px;
    background:linear-gradient(150deg, #f28900, #ff53c8);
    font-size: 3.2rem;
}

.modal_iine_box img {
    width:130px;
    height:130px;
    border-radius:100vh;
}

.modal_iine p {
    font-size:1.8rem;
    font-weight:bold;
    margin-bottom:20px;
}

.modal_iine p small{
    font-size:1.6rem;
    font-weight:normal;
    margin-bottom:20px;
}

.iine_btn {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 25px;
    background: linear-gradient(180deg, #fc9cdd 50%, #ff53c8 50%, #ff53c8, #ff53c8);
    border: 1px solid #ff53c8;
    color: #FFF;
    text-shadow: 2px 2px 5px #ff53c8;
    font-size: 1.8rem;
    transition: all ease 0.3s;
    cursor: pointer;
    margin-bottom:15px;
}

.iine_btn:hover {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 25px;
    background: linear-gradient(180deg, #ffffff 50%, #f1f1f1 50%, #f1f1f1);
    border: 1px solid #ff53c8;
    color: #ff53c8;
    text-shadow: 2px 2px 5px #ffffff;
    font-size: 1.8rem;
}
.iine_btn .icon-heart{
    color: #FFF;
    margin-right: 5px;
}

.iine_btn:hover .icon-heart{
    color: #ff53c8;
    margin-right: 5px;
}

.iinemessage_btn {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 10px;
    background: linear-gradient(180deg, #77f71b 50%, #00cf0a 50%, #00cf0a, #00cf0a);
    border: 1px solid #00cf0a;
    color: #FFF;
    text-shadow: 2px 2px 5px #00cf0a;
    transition: all ease 0.3s;
    cursor: pointer;
    font-size: 1.6rem;
}

.iinemessage_btn:hover {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 10px;
    background: linear-gradient(180deg, #ffffff 50%, #f1f1f1 50%, #f1f1f1);
    border: 1px solid #00cf0a;
    color: #00cf0a;
    text-shadow: 2px 2px 5px #ffffff;
    font-size: 1.6rem;
}

.iinemessage_btn .icon-bubbles {
    color: #FFF;
    margin-right: 5px;
}

.iinemessage_btn:hover .icon-bubbles {
    color: #00cf0a;
    margin-right: 5px;
}

/*いいね送信済み*/
.modal_iine_fin {
    display:none;
    flex-direction:column;
    align-items:center;
    position: absolute;
    width: 320px;
    height: 460px;
    justify-content:center;
    border-radius: 16px;
    padding: 30px;
    background: #fff6c7;
    z-index: 8;
    cursor: pointer;
}

.modal_iine_fin.active {
    display:flex;
}

.modal_iine_fin img {
    width:200px;
    height:200px;
    margin:0 auto 30px;
}

.modal_iine_fin p {
    font-size: 2.2rem;
    color: #ff9e55;
    font-weight: bold;
    margin-bottom: 40px;
}

.modal_iine_bel {
    font-size: 2.2rem;
    background: #ffc014;
    padding: 10px 30px;
    border-radius: 8px;
    color: #ffffff;
    font-weight: bold;
    margin-bottom: 20px;
}

/*メッセージ付きいいね送信*/
.modal_iinesend, .modal_iinesendB {
    display:none;
    flex-direction:column;
    align-items:center;
    position: fixed;
    width: 360px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    justify-content:center;
    border-radius: 16px;
    padding: 30px;
    background: #FFF8F3;
    z-index: 6;
    cursor: pointer;
}

.modal_iinesend.active, .modal_iinesendB.active {
    display:flex;
}

.modal_iinesend h2 {
    font-size:1.6rem;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: flex-start;
    padding-bottom: 10px;
    color: #666;
}

.modal_iinesend h2 strong {
    color: #ff4f4f !important;
    padding: 0 !important;
    font-weight: bold;
}

.modal_iinesend h2 span {
    margin-right: 5px;
    font-size: 18px;
    color: #ff4f4f;
}

.modal_iinesend .c-reprofile_sendbox {
    display: grid;
    grid-template-columns: 80px auto;
    gap: 10px;
    justify-content: center;
    margin: 0 0 20px;
}

.modal_iinesend_tt {
    color:#ff9e55;
    font-size:1.6rem;
    margin-bottom:20px;
}

.modal_iinesend_textarea {
    border:none;
    background:#FFF;
    border-radius:8px;
    margin-bottom:5px;
    width: 100%;
}

.modal_iinesend span {
    text-align: right;
    display: block;
    margin-bottom:10px;
    margin-left: auto;
}

.modal_iinesend img {
    border-radius: 100vh;
}

.modal_iinesend textarea:focus{
    border: 1px solid #f3b1b1;
    outline: none;
    box-shadow: 0 0 5px 0px rgb(255 79 79 / 40%);
}

.modal_iinesend_text {
    font-size:1.2rem;
    margin-bottom:20px;
}

.modal_iinesend_btn, .modal_iinesend_btn--deck {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 10px;
    background: #ff0000;
    border: 1px solid #ff0000;
    color: #FFF;
    text-shadow: 2px 2px 5px #ff0000;
    transition: all ease 0.3s;
    cursor: pointer;
    font-size: 1.6rem;
    margin: 0 auto;
}

.modal_iinesend_btn:hover, .modal_iinesend_btn--deck:hover {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 10px;
    background: #ff1414;
    border: 1px solid #ff1414;
    color: #ffffff;
    text-shadow: 2px 2px 5px #ffffff;
    font-size: 1.6rem;
}

.modal_iinesend_btn .icon-mailsend, .modal_iinesend_btn--deck .icon-mailsend {
    color:#FFF;
    margin-right:5px;
}

.modal_iinesend_btn:hover .icon-mailsend, .modal_iinesend_btn--deck:hover .icon-mailsend{
    color:#ffffff;
    margin-right:5px;
}

.c-muchingboxbtn ul li a {
    font-size: 2.4rem;
    background: #FFF;
    border-radius: 100vh;
    padding: 10px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.c-muchingboxbtn_profile {
    font-size: 2.4rem;
    background: #f29718;
    border-radius: 100vh;
    padding: 10px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: grab;
}

.c-muchingboxbtn_profile .icon-address-book {
    background: #FFF;
    font-size: 2.4rem;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.c-muchingboxbtn_hand {
    font-size: 2.4rem;
    background: #f186cf;
    border-radius: 100vh;
    padding: 10px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: grab;
}

.c-muchingboxbtn_hand .icon-hand {
    background: #FFF;
    font-size: 3.2rem;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.c-muchingboxbtn_hand.active {
    background: #FFF;
}

.c-muchingboxbtn_hand.active .icon-hand {
    background: #f186cf;
    font-size: 3.2rem;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}